import { ChangeDetectorRef, OnInit, EventEmitter } from "@angular/core";
import { IDataOptions, PivotFieldListComponent, EnginePopulatedEventArgs, CalculatedFieldCreateEventArgs, FieldDropEventArgs, DrillThroughEventArgs, PivotActionFailureEventArgs } from "@syncfusion/ej2-angular-pivotview";
import { DashboardService } from "../../dashboard.service";
import { DashboardPorletsService } from "../../dashboardPorlets.service";
import { Observable } from "rxjs";
export declare class GadgetPivotChartComponent implements OnInit {
    private dashboardPorletsService;
    private dashboardService;
    private ref;
    private pbf;
    portlet: any;
    dashboard: any;
    portlets: any;
    updatePorletConfig: EventEmitter<any>;
    private Pivot_Data;
    private config;
    dataSourceSettings: IDataOptions;
    private excludeFields;
    private filterSettings;
    private datePipeFormat;
    translation: any;
    private pivotObj;
    fieldlistObj: PivotFieldListComponent;
    private grandTotals;
    private subTotals;
    private previousSort;
    private subscriptions;
    private allDataValue;
    private isInit;
    private pivotSearchBox;
    displayOption: {
        view: string;
        primary: string;
    };
    chartSettings: any;
    tooltipSettings: {
        enable: boolean;
    };
    private columnTexts;
    private configFields;
    private quarterFormat;
    zoomSettings: {
        enable: boolean;
    };
    itemDataTypeSortArr: string[];
    private formatDates;
    private customCalculatedFields;
    private allowedCalculatedFields;
    private zeroFormatData;
    private millionFields;
    private tempSubtotals;
    orderByColumns: any;
    isApplyIRR: boolean;
    calcIRRData: any;
    private percentNumFields;
    pageLoading: any;
    observable: Observable<unknown>;
    isloaded: boolean;
    constructor(dashboardPorletsService: DashboardPorletsService, dashboardService: DashboardService, ref: ChangeDetectorRef, pbf: any);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    findMostFrequent(arr: any): any;
    loaded(args: any): void;
    private setConfigToPorlet;
    chartSeriesCreated(e: any): void;
    private initChartSetting;
    onMemberEditorOpen(args: any): void;
    beforeExport(exportData: any): void;
    private getData;
    afterPopulate(args: EnginePopulatedEventArgs): void;
    afterEnginePopulate(args: any): void;
    private getDataSourceSettingsProp;
    enginePopulating(args: any): void;
    cellClick(args: any): void;
    dataBound(e: any): void;
    private calculatedCellSets;
    actionFailure(args: PivotActionFailureEventArgs): void;
    private getCalcHeader;
    private updateTempSubtotals;
    private calculatedValues;
    private getIrrHeader;
    totalFormatted: {};
    aggregateCellInfo(args: any): void;
    private calculatedFistLast;
    private formatVal;
    private getexcludeFields;
    private getInfo;
    onFieldDrop(args: FieldDropEventArgs): void;
    private createButtonText;
    calculatedFieldCreate(args: CalculatedFieldCreateEventArgs): void;
    actionComplete(args: any): void;
    actionBegin(args: any): void;
    private resizeStop;
    onLoad(): void;
    private enginePopulated;
    private getClonedPivotValues;
    private getClonedPivotValueObj;
    private searchNodes;
    getFilterItems(fList: any, list: any): any[];
    created(args: any): void;
    fieldListRefreshed(args: any): void;
    private changeDataSource;
    drillThrough(args: DrillThroughEventArgs): void;
    private setFontSettingConditional;
    private setCompareConditional;
    /**
     * @param timeArray 数组对象 [{"date":"2021-01-01"},{"date":"2021-02-01"}]
     * @param endDate 截至时间
     * @param interval 时间间隔 year / quarter / month
     * @param timeKey 时间字段名 date
     * @returns 划分后的时间分组对象
     */
    getTimeRanges(timeArray: any, endDate: any, interval: any, timeKey: any): {};
    /**
     * 计算几何算数平方更
     * @param values 数组 [0, 0, 0.2575]
     * @returns
     */
    calculateGrowthRate(values: any): number;
    nthroot(x: any, n: any): number;
    /**
     * 标准偏差
     * @param values 数组 [0, 0, -0.4775]
     * @returns 0.2756847535380463
     */
    calculateStandardDeviation(values: any): number;
}
